/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 1991-2005 OpenCFD Ltd.
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation; either version 2 of the License, or (at your
    option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM; if not, write to the Free Software Foundation,
    Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Class
    diagTensorField

Description
    Specialisation of Field<T> for diagTensor.

SourceFiles
    diagTensorField.C

\*---------------------------------------------------------------------------*/

#ifndef diagTensorField_H
#define diagTensorField_H

#include "tensorField.H"
#include "diagTensor.H"
#include "FieldFunctionsM.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{

typedef Field<diagTensor> diagTensorField;

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

UNARY_FUNCTION_N(diagTensor, tensor, diag)
UNARY_FUNCTION_N(scalar, diagTensor, tr)
UNARY_FUNCTION_N(scalar, diagTensor, det)
UNARY_FUNCTION_R(diagTensor, diagTensor, inv)


BINARY_OPERATOR_NR(tensor, diagTensor, tensor, +, add)
BINARY_OPERATOR_RN(tensor, tensor, diagTensor, +, add)
BINARY_OPERATOR_NR(tensor, diagTensor, tensor, -, subtract)
BINARY_OPERATOR_RN(tensor, tensor, diagTensor, -, subtract)

BINARY_TYPE_OPERATOR_NR(tensor, diagTensor, tensor, +, add)
BINARY_TYPE_OPERATOR_NR(tensor, diagTensor, tensor, -, subtract)


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace Foam

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#include "undefFieldFunctionsM.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************************************************************* //
