/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 1991-2005 OpenCFD Ltd.
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation; either version 2 of the License, or (at your
    option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM; if not, write to the Free Software Foundation,
    Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Class
    doubleScalar

Description
    Double precision floating point scalar type.

SourceFiles
    doubleScalar.C

\*---------------------------------------------------------------------------*/

#ifndef doubleScalar_H
#define doubleScalar_H

#include "doubleFloat.H"
#include "direction.H"
#include "word.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{
    typedef double doubleScalar;

    // Largest and smallest scalar values allowed in certain parts of the code.
    // (15 is the number of significant figures in an
    //  IEEE double precision number.  See limits.h or float.h)
    static const doubleScalar doubleScalarGREAT = 1.0e+15;
    static const doubleScalar doubleScalarVGREAT = 1.0e+300;
    static const doubleScalar doubleScalarSMALL = 1.0e-15;
    static const doubleScalar doubleScalarVSMALL = 1.0e-300;
}

#define Scalar doubleScalar
#define ScalarVSMALL doubleScalarVSMALL
#define readScalar readDoubleScalar
#include "Scalar.H"
#undef Scalar
#undef ScalarVSMALL
#undef readScalar

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************************************************************* //
