/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 1991-2005 OpenCFD Ltd.
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation; either version 2 of the License, or (at your
    option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM; if not, write to the Free Software Foundation,
    Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Class
    HashSignedLabel

Description
    hash for signed integers (Hash<label> only works for unsigned ints)

SourceFiles
    HashSignedLabel.H

\*---------------------------------------------------------------------------*/

#ifndef HashSignedLabel_H
#define HashSignedLabel_H

#include "List.H"
#include "word.H"

namespace Foam
{

/*---------------------------------------------------------------------------*\
                           Class hashSignedLabel Declaration
\*---------------------------------------------------------------------------*/

class hashSignedLabel
{

public:

    hashSignedLabel()
    {}


    label operator()(const label key, const label tableSize) const
    {
        return mag(key)%tableSize;
    }
};

} // End namespace Foam

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************************************************************* //

